# gmtlogo

Plot the GMT logo

## Synopsis

gmt logo [ -D[g|j|J|n|x]refpoint+w width[+j justify][+o dx[/dy]] ] [ -F[+c clearances][+g fill][+i[[gap/]pen]][+p[pen]][+r[radius]][+s[[dx/dy/][shade]]] ] [ -J parameters ] [ -J z|Z parameters ] [ -R west/east/south/north[/zmin/zmax][+r][+u unit] ] [ -S[l|n|u] ] [ -U[stamp] ] [ -V[level] ] [ -X[a|c|f|r][xshift] ] [ -Y[a|c|f|r][yshift] ] [ -t transp ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

This module plots the GMT logo on a map. By default, the GMT logo is 144 points (2 inches wide) and 72 points (1 inch) high and will be positioned relative to the current plot origin. Use various options to change this and to place a transparent or opaque rectangular map panel behind the GMT logo.

## Required Arguments

None.

## Optional Arguments

-D[g|j|J|n|x]refpoint+w width[+j justify][+o dx[/dy]]

  Sets reference point on the map for the image using one of four coordinate systems: (1) Use -Dg for map (user) coordinates, (2) use -Dj or -DJ for setting refpoint via a 2-char justification code that refers to the (invisible) map domain rectangle, (3) use -Dn for normalized (0-1) coordinates, or (4) use -Dx for plot coordinates (inches, cm, etc.). All but -Dx requires both -R and -J to be specified. Use +w width to set the width of the GMT logo in plot coordinates (inches, cm, etc.). By default, the anchor point on the GMT logo is assumed to be the bottom left corner (BL), but this can be changed by appending +j followed by a 2-char justification code justify (see text). Note: If -Dj is used then justify defaults to the same as refpoint, if -DJ is used then justify defaults to the mirror opposite of refpoint. Add +o to offset the GMT logo by dx/dy away from the refpoint point in the direction implied by justify (or the direction implied by -Dj or -DJ).

-F[+c clearances][+g fill][+i[[gap/]pen]][+p[pen]][+r[radius]][+s[[dx/dy/][shade]]]

  Without further options, draws a rectangular border around the GMT logo using MAP_FRAME_PEN; specify a different pen with +p pen. Add +g fill to fill the GMT logo box [no fill]. Append +c clearance where clearance is either gap, xgap/ygap, or lgap/rgap/bgap/tgap where these items are uniform, separate in x- and y-direction, or individual side spacings between GMT logo and border. Append +i to draw a secondary, inner border as well. We use a uniform gap between borders of 2p and the MAP_DEFAULT_PEN unless other values are specified. Append +r to draw rounded rectangular borders instead, with a 6p corner radius. You can override this radius by appending another value. Finally, append +s to draw an offset background shaded region. Here, dx/dy indicates the shift relative to the foreground frame [4p/-4p] and shade sets the fill style to use for shading [gray50].

-R xmin/xmax/ymin/ymax[+r][+u unit] (more …)

  Specify the region of interest.

For perspective view -p, optionally append /zmin/zmax. (more …)

-S[l|n|u]

  Control what is written beneath the map portion of the logo. Append l (or skip -S entirely) to plot the text label “The Generic Mapping Tools” beneath the logo. Append n to skip the label placement, and append u to place the URL to the GMT site instead [plot the label].

-U[label][+c][+j just][+o dx/dy] (more …)

  Draw GMT time stamp logo on plot.

-V[level] (more …)

  Select verbosity level [w].

-X[a|c|f|r][xshift]

-Y[a|c|f|r][yshift] (more …)

  Shift plot origin.

-t[transp] (more …)

  Set transparency level in percent.

-^ or just -

  Print a short message about the syntax of the command, then exit (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Examples

Note: Since many GMT plot examples are very short (i.e., one module call between the gmt begin and gmt end commands), we will often present them using the quick modern mode GMT Modern Mode One-line Commands syntax, which simplifies such short scripts.

To plot the GMT logo of a 144-point width as a stand-alone pdf plot, use:

    gmt logo -pdf logo

To append a GMT logo overlay in the upper right corner of the current map, but scaled up to be 6 cm wide and offset by 0.25 cm from the border, try:

    gmt begin map
    gmt ...<plot the map using -R -J>
    gmt logo -DjTR+o0.25c+w6c
    gmt end show

## Notes

To instead plot the GMT QR code that links to www.generic-mapping-tools.org, just plot the custom symbols QR or QR_transparent in plot.

## See Also

gmt, legend, image, colorbar, plot